<!-- HTML header for doxygen 1.8.18-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=9" />
    <meta name="generator" content="Doxygen 1.9.1" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <title>VizBlocks: File List</title>
    <link href="tabs.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="dynsections.js"></script>
     <link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
    <link href="my_customdoxygen.css" rel="stylesheet" type="text/css" />
  </head>
  <body>
    <div id="top">
      <!-- do not remove this div, it is closed by doxygen! -->
      <header id="header" class="desktop">
        <div>
          <div class="inner-header">
            <div class="logotype">
              <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" aria-hidden="true" title="Site home"
                >VizBlocks</a
              >
            </div>
            <div class="navigation">
              <button
                onclick="toggleBurger()"
                type="button"
                aria-label="toggle burger menu"
              >
                <i class="fa fa-bars"></i>
              </button>
              <nav id="menu" class="collapse">
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/" class="home">Home</a>
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/about" class="about">About</a>
                <a
                  href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials/0_getting_started.html"
                  class="start"
                  >Get Started</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/tutorials" class="tutorials"
                  >Tutorials</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/docs/html" class="docs"
                  >Technical Info</a
                >
                <a href="https://edinburgh-college-of-art.github.io/vizblocks-website/contact" class="content">Contact</a>
              </nav>
            </div>
          </div>
        </div>
        <script>
          const toggleBurger = () => {
            const menu = document.getElementById("menu");
            if (menu.className === "collapse") {
              menu.className = "extend";
            } else {
              menu.className = "collapse";
            }
          };
          const touchDevice = "ontouchstart" in document.documentElement;
          if (touchDevice) {
            const header = document.getElementById("header");
            header.className = "mobile";
          }
        </script>
      </header>
      <!-- end header part -->
    </div>
  </body>
</html>
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">File List</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here is a list of all files with brief descriptions:</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span id="img_0_" class="iconfopen" onclick="toggleFolder('0_')">&#160;</span><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html" target="_self">src</a></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="_behaviours_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_behaviours_8h.html" target="_self">Behaviours.h</a></td><td class="desc">Functionality for block behaviours </td></tr>
<tr id="row_0_1_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="_button_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_button_8h.html" target="_self">Button.h</a></td><td class="desc">Event-driven button functionality. This file contains a class for an event-driven button input. It is based on the <a href="https://github.com/bxparks/AceButton">AceButton Library by bxparks</a>. The implimentation here is configured for esp822 boards and simplified. It is however, far less configurable </td></tr>
<tr id="row_0_2_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="_button_behaviours_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_button_behaviours_8h.html" target="_self">ButtonBehaviours.h</a></td><td class="desc">Behaviours to communicate button events to a server via mqtt. A lot of these input behaviours are quite repeative and could be replaced by a master function with some extra parameters, but I liked the specificity here for legibility </td></tr>
<tr id="row_0_3_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="_comms_behaviours_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_comms_behaviours_8h.html" target="_self">CommsBehaviours.h</a></td><td class="desc">Behaviours that send useful information to a server or other blocks. These are a bit weird and experimental but quite useful when trying to use blocks to interact with a web app (for example) </td></tr>
<tr id="row_0_4_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="_l_e_d_behaviours_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_l_e_d_behaviours_8h.html" target="_self">LEDBehaviours.h</a></td><td class="desc">Behaviours to control a neopixel ring. This should be extended with stable behaviours that are developed in the future </td></tr>
<tr id="row_0_5_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="_name_dictionary_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_name_dictionary_8h.html" target="_self">NameDictionary.h</a></td><td class="desc">Block auto naming functionality </td></tr>
<tr id="row_0_6_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="_potentiometer_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_potentiometer_8h.html" target="_self">Potentiometer.h</a></td><td class="desc">Slider and rotary potentiometer functionality </td></tr>
<tr id="row_0_7_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="_potentiometer_behaviours_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_potentiometer_behaviours_8h.html" target="_self">PotentiometerBehaviours.h</a></td><td class="desc">Behaviours to communicate potentiometer events to a server via mqtt. A lot of these input behaviours are quite repeative and could be replaced by a master function with some extra parameters, but I liked the specificity here for legibility </td></tr>
<tr id="row_0_8_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="_rotary_encoder_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_rotary_encoder_8h.html" target="_self">RotaryEncoder.h</a></td><td class="desc">Event-driven rotary encoder functionality </td></tr>
<tr id="row_0_9_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="_rotary_encoder_behaviours_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_rotary_encoder_behaviours_8h.html" target="_self">RotaryEncoderBehaviours.h</a></td><td class="desc">Behaviours to communicate rotary encoder events to a server via mqtt. A lot of these input behaviours are quite repeative and could be replaced by a master function with some extra parameters, but I liked the specificity here for legibility </td></tr>
<tr id="row_0_10_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="_servo_behaviours_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_servo_behaviours_8h.html" target="_self">ServoBehaviours.h</a></td><td class="desc">Behaviours to control a servo motor. This should be extended with stable behaviours that are developed in the future </td></tr>
<tr id="row_0_11_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><a href="_viz_blocks_8h_source.html"><span class="icondoc"></span></a><a class="el" href="_viz_blocks_8h.html" target="_self">VizBlocks.h</a></td><td class="desc">Contains everything you need to get started </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.18-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.9.1
</small></address>
</body>
</html>
